ParticleLoader = class(function(o, sprite, particleDataPath)
	o.particles = ParticleSystem(sprite, sheets['tiles'], 100)
	o.particles:setGravity(1, 20)
	o.particles:setRscale(r_scale)
	o.p_min = 1
	o.p_max = 1
	o.s_min = 1
	o.s_max = 1
	o.g_min = 1
	o.g_max = 1
	o.si_s = 1*r_scale*0.5
	o.si_e = 1*r_scale*0.5
	o.sp_s = 0
	o.sp_e = 0
	o.R_min = 0
	o.R_max = 0

	o.startColor = {128, 128, 128, 128}
	o.endColor = {128, 128, 128, 128}
	for k,v in pairs(persistence.load(blud.bundle_root .."/badHotel_/assets/particleData/".. particleDataPath)) do
		ParticleEdit.valueChange(o, k, v)
	end
end)
function ParticleLoader:getParticles()
	return self.particles
end